package com.persagy.apm.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 监测指标(MonitorIndicator)实体类
 *
 * @author lixing
 * @version V1.0 2021-09-07 18:12:06
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "监测指标")
public class MonitorIndicator extends AuditableEntity<MonitorIndicator> implements Serializable {
    private static final long serialVersionUID = -58697502928373181L;

    @ApiModelProperty("指标名称")
    private String name;

    @ApiModelProperty("设备类")
    private String classCode;


    public static String PROP_NAME = "name";
    public static String PROP_CLASS_CODE = "class_code";

}
